<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
    <title>Osnove</title>
</head>

<body>
    <div class="container">
        <ul>
            <li>HTML</li>
            <li>CSS</li>
            <li>JavaScript</li>
            <li>jQuery</li>
        </ul>
        <div id="lista">
        </div>
        <div class="klik">Click here</div>
        <div class="klik">to iterate through</div>
        <div class="klik">these divs.</div>
        <button onclick="getServiceData()">Pozovi servis</button>
        <div id="users">
        </div>
    </div>
</body>
<script>
    var izlaz = "<table class=\"table table-hover\"><tr><td>Programski jezici:</td></tr>";
    $("li").each(function (key) {
        izlaz += "<tr><td>" + $(this).text() + "</td></tr>";
    });
    document.getElementById("lista").innerHTML = izlaz + "</table>";

    $(document.body).click(function () {
        $(".klik").each(function (key) {
            if (this.style.color !== "blue") {
                this.style.color = "blue";
                this.style.fontWeight = "bold";
            } else {
                this.style.color = "";
                this.style.fontWeight = "normal";
            }
        });
    });
    // pozovi servis
    var page = 0;

    function getServiceData() {
        var izlaz = "";
        page +=1;
        $.ajax({
            type: 'GET',
            url: "https://reqres.in/api/users",
            data: {"page":page},
            success: function (data) {
                var jsonBody = data;
                //console.log (jsonBody);
                $.each(jsonBody.data, function (key) {
                    //console.log(jsonBody.data[key].id + ' ' + jsonBody.data[key].email);
                    //console.log(jsonBody.data[key]); 
                    var red = jsonBody.data[key]; 
                    izlaz += red.id + ' ' + red.email + '<br>';
                });
            },
            error: function (xhr, textStatus, error) {
                console.log(xhr.statusText);
                console.log(textStatus);
                console.log(error);
            },
            async: false
        });
        document.getElementById("users").innerHTML = izlaz;
    }

</script>

</html>